GNU bug report logs - #20741
24.4; flyspell doesn't work with abbreviations ending in a period

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Reuben Thomas <rrt@HIDDEN>; dated Fri, 5 Jun 2015 14:08:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 10:37:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 06:37:07 2015
Received: from localhost ([127.0.0.1]:42614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1BTO-0000i1-Lj
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:37:07 -0400
Received: from mtaout27.012.net.il ([80.179.55.183]:44273)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Z1BTK-0000hU-Um
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:37:04 -0400
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0NPI00J00Q3EMU00@HIDDEN> for
 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 13:32:07 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NPI00C78QLI4EA0@HIDDEN>; Sat, 06 Jun 2015 13:32:06 +0300 (IDT)
Date: Sat, 06 Jun 2015 13:36:55 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20741: 24.4;
 flyspell doesn't work with abbreviations ending in a period
In-reply-to: <CAOnWdogO4O5C9bQ6bsBwutsP0WPe=uqNs+dgeV6eAHoNOxEd_g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Reuben Thomas <rrt@HIDDEN>
Message-id: <833825nmwo.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
 <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
 <834mmlnog7.fsf@HIDDEN>
 <CAOnWdoh7oJgzTs2ZnhT_QBL1XUA0GQ+6hJ7BvEbPZ3EMjwJpZQ@HIDDEN>
 <CAOnWdogO4O5C9bQ6bsBwutsP0WPe=uqNs+dgeV6eAHoNOxEd_g@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 6 Jun 2015 11:11:22 +0100
> From: Reuben Thomas <rrt@HIDDEN>
> Cc: 20741 <at> debbugs.gnu.org
> 
> ​I should add, ispell-buffer too only complains about "foxb". It is just
> flyspell that complains about the other (correct) spellings.

Then I guess flyspell-word-search-forward/backward is the culprit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 10:11:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 06:11:30 2015
Received: from localhost ([127.0.0.1]:42605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1B4c-0008W0-Ar
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:11:30 -0400
Received: from mail-ig0-f171.google.com ([209.85.213.171]:38252)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z1B4a-0008Vj-De
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:11:28 -0400
Received: by igblz2 with SMTP id lz2so30470700igb.1
 for <20741 <at> debbugs.gnu.org>; Sat, 06 Jun 2015 03:11:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=t0w9GKVOxOsqFVQiuGz0ewjkE9jfQbRoaMAy9kuhLHA=;
 b=3MHsnc3eLr9bpTMTytsYhu9Taf7WfGtAG5axOk2ChuvCM/+j0TmZdcKwtiyGFlL6O6
 5U8jzWL4biLuto5hCnYihd+nDdm2f/4pXEpGMXYGvRowvx2zCjrf72VmAJEobZsk6mqX
 jy60InQsHHJ3aoE+xTT8d9t2v4dZv2AXKoyWA=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=t0w9GKVOxOsqFVQiuGz0ewjkE9jfQbRoaMAy9kuhLHA=;
 b=bxS0yc0yAJNMuMqvPoUZl0beRoC7uVRmy7JNcnH1e7iR8w6ptjMpmsJQSgt97M4pW0
 ZiRMDUVeJWvp9ip6Im/95IlFxAjbWgNJcruuudcwibvqJJzEsUjm8ypGSiN3pMaYNrn8
 CLSQ90npEsg34fXSeiwDwwwbEj2vTWt+iNsPxQAeiv39ayLPQzdYV9rTV5nNYjYk8ZiY
 1WcxNRDG2Flc+JMzyWu2wVHWR845Ug/uRmyokly+cnvyBYOakX4+Ii00cSg8MSJvIMnA
 YUqR14pQkUxuA2MBp4MTOQssjgGeAaAQxONwugiaxYk2lYOytnnE7jWkvlfY+AL7pOwB
 W4Uw==
X-Gm-Message-State: ALoCoQmIErWZRX/qhN5QvLDIoxaMZWiI2uKkTho9ZksOhQA7D3jMkxBNWFr80xDQVu7OCjxsPFRy
MIME-Version: 1.0
X-Received: by 10.107.164.70 with SMTP id n67mr9653382ioe.8.1433585483044;
 Sat, 06 Jun 2015 03:11:23 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Sat, 6 Jun 2015 03:11:22 -0700 (PDT)
In-Reply-To: <CAOnWdoh7oJgzTs2ZnhT_QBL1XUA0GQ+6hJ7BvEbPZ3EMjwJpZQ@HIDDEN>
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
 <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
 <834mmlnog7.fsf@HIDDEN>
 <CAOnWdoh7oJgzTs2ZnhT_QBL1XUA0GQ+6hJ7BvEbPZ3EMjwJpZQ@HIDDEN>
Date: Sat, 6 Jun 2015 11:11:22 +0100
Message-ID: <CAOnWdogO4O5C9bQ6bsBwutsP0WPe=uqNs+dgeV6eAHoNOxEd_g@HIDDEN>
Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending
 in a period
From: Reuben Thomas <rrt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114289f278f3a90517d6a15b
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114289f278f3a90517d6a15b
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 6 June 2015 at 11:08, Reuben Thomas <rrt@HIDDEN> wrote:

>
>
> $ cat Downloads/foo.txt
> i.e. this is not e.g. etc. help!
> =E2=80=8B foxb=E2=80=8B
>
> $ hunspell -a -d en_GB -i UTF-8 ~/Downloads/foo.txt
> @(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
> *
> *
> *
> *
> *
> *
> *
> & foxb 6 33: fox, fob, foxy, fox b, fixable, faux
>
> =E2=80=8BHere we see that hunspell doesn't like "foxb" (great!) but is ot=
herwise
> happy.
>
> So the problem does not appear to be with hunspell
> =E2=80=8B.
>

=E2=80=8BI should add, ispell-buffer too only complains about "foxb". It is=
 just
flyspell that complains about the other (correct) spellings.

--=20
http://rrt.sc3d.org

--001a114289f278f3a90517d6a15b
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On 6=
 June 2015 at 11:08, Reuben Thomas <span dir=3D"ltr">&lt;<a href=3D"mailto:=
rrt@HIDDEN" target=3D"_blank">rrt@HIDDEN</a>&gt;</span> wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex"><div dir=3D"ltr"><br><div class=3D"gmail_extra"><=
div><div class=3D"h5"><br></div></div>$ cat Downloads/foo.txt<br>i.e. this =
is not e.g. etc. help!<div style=3D"font-size:small;display:inline">=E2=80=
=8B foxb=E2=80=8B</div><br>$ hunspell -a -d en_GB -i UTF-8 ~/Downloads/foo.=
txt <br>@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3=
)<br>*<br>*<br>*<br>*<br>*<br>*<br>*<br>&amp; foxb 6 33: fox, fob, foxy, fo=
x b, fixable, faux<br><br><div style=3D"font-size:small">=E2=80=8BHere we s=
ee that hunspell doesn&#39;t like &quot;foxb&quot; (great!) but is otherwis=
e happy.<br><br></div><div style=3D"font-size:small">So the problem does no=
t appear to be with hunspell<div class=3D"gmail_default" style=3D"font-size=
:small;display:inline">=E2=80=8B.</div></div></div></div></blockquote><div>=
<br><div class=3D"gmail_default" style=3D"font-size:small;display:inline">=
=E2=80=8BI should add, ispell-buffer too only complains about &quot;foxb&qu=
ot;. It is just flyspell that complains about the other (correct) spellings=
.<br clear=3D"all"></div></div></div><br>-- <br><div class=3D"gmail_signatu=
re"><a href=3D"http://rrt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</=
a></div>
</div></div>

--001a114289f278f3a90517d6a15b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 10:08:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 06:08:20 2015
Received: from localhost ([127.0.0.1]:42601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1B1Y-0008QU-5L
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:08:20 -0400
Received: from mail-ig0-f182.google.com ([209.85.213.182]:37270)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z1B1V-0008QB-NR
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:08:18 -0400
Received: by igbsb11 with SMTP id sb11so30593936igb.0
 for <20741 <at> debbugs.gnu.org>; Sat, 06 Jun 2015 03:08:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=9UAznoQ/Sr9oqrVaEf5mFZk9ATltjjPatvfj1wM6p9I=;
 b=vHKc/rN1h/ZwFUPX1Yiq5YEJLlAAX8qvtr6Kar0jBnsFAY4rwxzfUghImqolCFYq1t
 WveNQo8IT13ZZ7R77U5vpXf5Dn565vGJwOEI67Mp9TrprVZaJvDCDmozx1cmqzGaUySB
 7gkhXBv1QcSlK+pAoQMaNLvAv9FWjWBlscGb0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=9UAznoQ/Sr9oqrVaEf5mFZk9ATltjjPatvfj1wM6p9I=;
 b=jqWErf9CkBFmk6X5oY0g/Uq7QpU1x6dLHCuxZMlEbL7wBJ4Kg5n7x9RIMtGKV1ylqq
 zuZUdNiuTYn3XNcTu7CtC+WCG6D28FZQznHu0wLto7EuYjR7mAAw9VIyVwiks7sgkmfG
 gxUCQ6jpwRKIXJXD4zWa3znUXLr/dLiKdABwQQcN/CWAZB7Au7VpEcKFskixv8fIFyBl
 IBZHzL8N/MQBzvJLPKkCLPQsfQZEQOdWF6aTUbmYxG3H3VmHfgaoubLVbs5XykwiYWkm
 VXaxDwkfh1hZ3nhwYFH3OVWeuE8aIBXvMW5YN3VQha+G0RJrjbCm1NGbUTijQN9aXqX9
 cZtQ==
X-Gm-Message-State: ALoCoQlVyF7CnJkNlG8me3hS/vsaSIjyuZhzGK4CGv/60ADT9b7nQrIlWLjh1q58QXX7ByFxwHdX
MIME-Version: 1.0
X-Received: by 10.50.178.133 with SMTP id cy5mr2838361igc.5.1433585292330;
 Sat, 06 Jun 2015 03:08:12 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Sat, 6 Jun 2015 03:08:12 -0700 (PDT)
In-Reply-To: <834mmlnog7.fsf@HIDDEN>
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
 <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
 <834mmlnog7.fsf@HIDDEN>
Date: Sat, 6 Jun 2015 11:08:12 +0100
Message-ID: <CAOnWdoh7oJgzTs2ZnhT_QBL1XUA0GQ+6hJ7BvEbPZ3EMjwJpZQ@HIDDEN>
Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending
 in a period
From: Reuben Thomas <rrt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e01538cbe1b15aa0517d696ca
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e01538cbe1b15aa0517d696ca
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 6 June 2015 at 11:03, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Sat, 6 Jun 2015 10:38:17 +0100
> > From: Reuben Thomas <rrt@HIDDEN>
> > Cc: 20741 <at> debbugs.gnu.org
> >
> > =E2=80=8BI should add, if I M-x ispell-change-dictionary=E2=80=8B
> > =E2=80=8BRET american RET, then allow the underlining to refresh, "etc.=
" is no
> longer
> > marked as wrong (as we've seen, it's incorrectly in the "american" word
> list),
> > but "i.e." and "e.g." are still so marked.=E2=80=8B
>
> That's not what I see here.  When en_US is used, neither of these is
> flagged as a mis-spelling.  When I switch to en_GB, only "etc" and the
> "i" in "i.e." are flagged, the rest (including all of "e.g.") are not.
>
> I guess the reason is the different versions of Hunspell dictionaries
> we have installed.
>
> Once again, I don't think this is an Emacs problem.  Don't you see the
> same when you invoke Hunspell as a stand-alone program?
>

$ cat Downloads/foo.txt
i.e. this is not e.g. etc. help!
=E2=80=8B foxb=E2=80=8B

$ hunspell -a -d en_GB -i UTF-8 ~/Downloads/foo.txt
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
*
*
*
*
*
*
*
& foxb 6 33: fox, fob, foxy, fox b, fixable, faux

=E2=80=8BHere we see that hunspell doesn't like "foxb" (great!) but is othe=
rwise
happy.

So the problem does not appear to be with hunspell.

--=20
http://rrt.sc3d.org

--089e01538cbe1b15aa0517d696ca
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On 6=
 June 2015 at 11:03, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:=
eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">&gt; Date: Sat, 6 Jun 2015 10:=
38:17 +0100<br>
<span class=3D"">&gt; From: Reuben Thomas &lt;<a href=3D"mailto:rrt@HIDDEN=
g">rrt@HIDDEN</a>&gt;<br>
&gt; Cc: <a href=3D"mailto:20741 <at> debbugs.gnu.org">20741 <at> debbugs.gnu.org</a>=
<br>
&gt;<br>
</span><span class=3D"">&gt; =E2=80=8BI should add, if I M-x ispell-change-=
dictionary=E2=80=8B<br>
&gt; =E2=80=8BRET american RET, then allow the underlining to refresh, &quo=
t;etc.&quot; is no longer<br>
&gt; marked as wrong (as we&#39;ve seen, it&#39;s incorrectly in the &quot;=
american&quot; word list),<br>
&gt; but &quot;i.e.&quot; and &quot;e.g.&quot; are still so marked.=E2=80=
=8B<br>
<br>
</span>That&#39;s not what I see here.=C2=A0 When en_US is used, neither of=
 these is<br>
flagged as a mis-spelling.=C2=A0 When I switch to en_GB, only &quot;etc&quo=
t; and the<br>
&quot;i&quot; in &quot;i.e.&quot; are flagged, the rest (including all of &=
quot;e.g.&quot;) are not.<br>
<br>
I guess the reason is the different versions of Hunspell dictionaries<br>
we have installed.<br>
<br>
Once again, I don&#39;t think this is an Emacs problem.=C2=A0 Don&#39;t you=
 see the<br>
same when you invoke Hunspell as a stand-alone program?<br>
</blockquote></div><br>$ cat Downloads/foo.txt<br>i.e. this is not e.g. etc=
. help!<div class=3D"gmail_default" style=3D"font-size:small;display:inline=
">=E2=80=8B foxb=E2=80=8B</div><br>$ hunspell -a -d en_GB -i UTF-8 ~/Downlo=
ads/foo.txt <br>@(#) International Ispell Version 3.2.06 (but really Hunspe=
ll 1.3.3)<br>*<br>*<br>*<br>*<br>*<br>*<br>*<br>&amp; foxb 6 33: fox, fob, =
foxy, fox b, fixable, faux<br><br><div class=3D"gmail_default" style=3D"fon=
t-size:small">=E2=80=8BHere we see that hunspell doesn&#39;t like &quot;fox=
b&quot; (great!) but is otherwise happy.<br><br></div><div class=3D"gmail_d=
efault" style=3D"font-size:small">So the problem does not appear to be with=
 hunspell.<br clear=3D"all"></div><br>-- <br><div class=3D"gmail_signature"=
><a href=3D"http://rrt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</a><=
/div>
</div></div>

--089e01538cbe1b15aa0517d696ca--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 10:03:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 06:03:48 2015
Received: from localhost ([127.0.0.1]:42597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1AxA-0008Ju-4k
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:03:48 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:47770)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Z1Ax7-0008Jf-VT
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 06:03:47 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NPI00B00P5H6N00@HIDDEN> for 20741 <at> debbugs.gnu.org;
 Sat, 06 Jun 2015 13:03:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NPI00B8BPA14Y60@HIDDEN>;
 Sat, 06 Jun 2015 13:03:39 +0300 (IDT)
Date: Sat, 06 Jun 2015 13:03:36 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20741: 24.4;
 flyspell doesn't work with abbreviations ending in a period
In-reply-to: <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Reuben Thomas <rrt@HIDDEN>
Message-id: <834mmlnog7.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
 <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 6 Jun 2015 10:38:17 +0100
> From: Reuben Thomas <rrt@HIDDEN>
> Cc: 20741 <at> debbugs.gnu.org
> 
> ​I should add, if I M-x ispell-change-dictionary​
> ​RET american RET, then allow the underlining to refresh, "etc." is no longer
> marked as wrong (as we've seen, it's incorrectly in the "american" word list),
> but "i.e." and "e.g." are still so marked.​

That's not what I see here.  When en_US is used, neither of these is
flagged as a mis-spelling.  When I switch to en_GB, only "etc" and the
"i" in "i.e." are flagged, the rest (including all of "e.g.") are not.

I guess the reason is the different versions of Hunspell dictionaries
we have installed.

Once again, I don't think this is an Emacs problem.  Don't you see the
same when you invoke Hunspell as a stand-alone program?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 09:58:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 05:58:30 2015
Received: from localhost ([127.0.0.1]:42589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1As1-0008B6-VJ
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:58:30 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:53264)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Z1Arz-0008Ar-73
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:58:28 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NPI00200OZXWA00@HIDDEN> for 20741 <at> debbugs.gnu.org;
 Sat, 06 Jun 2015 12:58:20 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NPI0029CP17W600@HIDDEN>;
 Sat, 06 Jun 2015 12:58:20 +0300 (IDT)
Date: Sat, 06 Jun 2015 12:58:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20741: 24.4;
 flyspell doesn't work with abbreviations ending in a period
In-reply-to: <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Reuben Thomas <rrt@HIDDEN>
Message-id: <836171nop1.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 6 Jun 2015 10:35:46 +0100
> From: Reuben Thomas <rrt@HIDDEN>
> Cc: 20741 <at> debbugs.gnu.org
> 
>     > The en_US dictionary contains "etc", which is incorrect.
>     
>     Not that I'm maintaining those dictionaries, but why is it incorrect,
>     in your opinion? It clearly produces the desirable effect, doesn't it?
>     
> 
> ​No, it produces the undesirable effect of treating "etc" as a correct spelling.​

I think it's a correct spelling, but that's me.

>     Does this mean that your problem is solved, and we can close this bug?
>     Or does something still need to be fixed in Emacs?
>     
> 
> ​Sorry, I must have been unclear. I still have the original problem: without the
> workaround of adding incorrect spellings to my personal wordlist, "i.e." and
> "e.g." are marked as wrong in en_GB. I just double checked this with the
> following recipe:
> 
> 1. Rename my ~/.hunspell_en_GB.
> 
> 2. Start "emacs -Q"
> 
> 3. M-x flyspell-mode RET
> 
> 4. M-x customize-variable RET ispell-program-name RET; set to
> "/usr/bin/hunspell" (doing this after step 3 because the variable is not
> available for customization before loading ispell)
> 
> 5. Type "etc. i.e. e.g."
> 
> All of the above is now red-underwiggled.

But do you agree that it's not an Emacs problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 09:38:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 05:38:25 2015
Received: from localhost ([127.0.0.1]:42574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1AYa-0007jY-Dw
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:38:24 -0400
Received: from mail-ig0-f175.google.com ([209.85.213.175]:36698)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z1AYY-0007jM-Rq
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:38:23 -0400
Received: by igbpi8 with SMTP id pi8so32241627igb.1
 for <20741 <at> debbugs.gnu.org>; Sat, 06 Jun 2015 02:38:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=1kljNVwxdhwG8FuVPGY2L6R7RxvwSJx7UKWs3oV8qg8=;
 b=haQFeJILP6soMepydP/5FFGyMQDyy8vUmekvcaQ4MMiRemAESSsPfeDlI1uUm0Vud8
 bAxeXzAIxvP8uLK3j6SSRuFe9/rY7vVkQInR2SU6C+XIHB07Y5VeCR7idT/FaSLm6VN1
 H6dHHodGq9We1Gy8BGWO0M2vLsEy6ERE3Uij8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=1kljNVwxdhwG8FuVPGY2L6R7RxvwSJx7UKWs3oV8qg8=;
 b=V0dldCxrEFt/rPVyynPyQXA0AiNxklBa8Qvf2Byc1Ar8cC5Nerr803hm6gnc3F7FG8
 KQUNCKGxa5doLkKyJ0ZuLE8r0qsm/cbjtMjEpbHsXKJ/aw+gZj7nt/ig5rbU83CVEYjK
 UF3N31L0JlhGP7IJ0d7X83hDerwYTpCkz03oE44G/umh89GMY9wRfeYCxKVnoWAiO13m
 XSURJHGrZSYyQY4SqBtTSBYe+3kf+ZbZhV1IvUmZ/RnSZ50PrfuKMJrXF1HdZ7cShfhn
 /7mDNk2H+l1542dYHNgkAAQr8gt0XoXecCfFGtLcD7+HJJUs1bJ6g8qGoJw4XSMINDfu
 UMkg==
X-Gm-Message-State: ALoCoQm5qM3vLWf63RYUAeWD17L2ncaD2xKF5CqiO/k4WntkZyiUtdpcDF6AmvsFDw0qx71EwHAk
MIME-Version: 1.0
X-Received: by 10.42.175.74 with SMTP id az10mr9794649icb.55.1433583497120;
 Sat, 06 Jun 2015 02:38:17 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Sat, 6 Jun 2015 02:38:17 -0700 (PDT)
In-Reply-To: <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
 <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
Date: Sat, 6 Jun 2015 10:38:17 +0100
Message-ID: <CAOnWdojMU=5s5MQYi-RYKHW5xc8FWa3Jar233628u1XOzzuJ+w@HIDDEN>
Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending
 in a period
From: Reuben Thomas <rrt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=485b397b947d1a286a0517d62b27
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--485b397b947d1a286a0517d62b27
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 6 June 2015 at 10:35, Reuben Thomas <rrt@HIDDEN> wrote:

>
>
> All of the above is now red-underwiggled.
>

=E2=80=8BI should add, if I M-x ispell-change-dictionary=E2=80=8B

=E2=80=8BRET american RET, then allow the underlining to refresh, "etc." is=
 no
longer marked as wrong (as we've seen, it's incorrectly in the "american"
word list), but "i.e." and "e.g." are still so marked.=E2=80=8B

--=20
http://rrt.sc3d.org

--485b397b947d1a286a0517d62b27
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On 6=
 June 2015 at 10:35, Reuben Thomas <span dir=3D"ltr">&lt;<a href=3D"mailto:=
rrt@HIDDEN" target=3D"_blank">rrt@HIDDEN</a>&gt;</span> wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex"><div dir=3D"ltr"><br><div class=3D"gmail_extra"><=
br><div style=3D"font-size:small">All of the above is now red-underwiggled.=
<span class=3D"HOEnZb"><font color=3D"#888888"><br clear=3D"all"></font></s=
pan></div></div></div></blockquote><div><br><div class=3D"gmail_default" st=
yle=3D"font-size:small;display:inline">=E2=80=8BI should add, if I M-x ispe=
ll-change-dictionary=E2=80=8B</div>=C2=A0<div class=3D"gmail_default" style=
=3D"font-size:small;display:inline">=E2=80=8BRET american RET, then allow t=
he underlining to refresh, &quot;etc.&quot; is no longer marked as wrong (a=
s we&#39;ve seen, it&#39;s incorrectly in the &quot;american&quot; word lis=
t), but &quot;i.e.&quot; and &quot;e.g.&quot; are still so marked.=E2=80=8B=
</div></div></div><br>-- <br><div class=3D"gmail_signature"><a href=3D"http=
://rrt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</a></div>
</div></div>

--485b397b947d1a286a0517d62b27--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 09:35:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 05:35:56 2015
Received: from localhost ([127.0.0.1]:42548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1AWB-0007et-96
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:35:55 -0400
Received: from mail-ie0-f177.google.com ([209.85.223.177]:34169)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z1AW8-0007ee-P3
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 05:35:53 -0400
Received: by iebmu5 with SMTP id mu5so37228962ieb.1
 for <20741 <at> debbugs.gnu.org>; Sat, 06 Jun 2015 02:35:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=f4IzrNsnjjpBjXmCO3hsKtP9MkFuk0lh3RCboUc9ILc=;
 b=FYodRO9SrCWjiYybly9xFHWZanuoeG8X0aWVl04dzfkzHvcb9QJbP1INZvEZxfBpW2
 1OKMWXfFM6GxN/RhubSAVxFfbnbYkrkTQNGphNcZXLerq14ZJfXQ2QuG0tCq0m996zIe
 lUMxaKSsfBidKlmjGh7+ZR0aRV8iZZ7pQIpzw=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=f4IzrNsnjjpBjXmCO3hsKtP9MkFuk0lh3RCboUc9ILc=;
 b=Zaa4w8nrKrMvsfPl6pNvfOtwqtpoVJ9wESyI601aXQnQhIZMqNdKnG/jmTXBeoEliO
 VGkr1FrRSdZEBucB1kIqSg63feskgk+sAn6iOIplgMbQ/uMann2BwOsWASDZAbT+BFdC
 pLDz24oZUtWOIQCYotbQoPxUdFScXHLkucST3Nk8XIy1Rdel93rZ6HM84RZryxItDU5l
 syOAkfH4zWrq2xe/ZToNAL7N79xVB1Xx0yOxE0OecdUQterhgX0OJ3Jya+5uBZ7QH58K
 uC4OSFI2phqUpVt9tiK32nejA5GgWrmLPut0UUz7RNGo2V7aBYbJD+WKz6KLsPQYKKAk
 iRQA==
X-Gm-Message-State: ALoCoQnNOEv9N2LnS+HBDQLC1NaPp9ME3cdy96WoDidKlF1Vu+uA33HlkReRW+kC5p5wFpQ9jUuQ
MIME-Version: 1.0
X-Received: by 10.42.154.65 with SMTP id p1mr14555572icw.26.1433583346954;
 Sat, 06 Jun 2015 02:35:46 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Sat, 6 Jun 2015 02:35:46 -0700 (PDT)
In-Reply-To: <83iob1nxfb.fsf@HIDDEN>
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
 <83iob1nxfb.fsf@HIDDEN>
Date: Sat, 6 Jun 2015 10:35:46 +0100
Message-ID: <CAOnWdoiyUFF1cVo8m82BURE7UCgCumAAF-=NrA4vNCUpAYT1YA@HIDDEN>
Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending
 in a period
From: Reuben Thomas <rrt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=90e6ba6e815a26d69d0517d62213
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--90e6ba6e815a26d69d0517d62213
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 6 June 2015 at 07:49, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Fri, 5 Jun 2015 22:42:39 +0100
> > From: Reuben Thomas <rrt@HIDDEN>
> > Cc: 20741 <at> debbugs.gnu.org
> >
> >     > flyspell marks as incorrect =E2=80=9Cetc.=E2=80=9D, =E2=80=9Ci.e.=
=E2=80=9D, =E2=80=9Ce.g.=E2=80=9D &c.
> >
> >     I can reproduce part of this with en_GB, but not with en_US. So I
> >     think it's an issue with the dictionary, not with flyspell or ispel=
l.
> >
> > The en_US dictionary contains "etc", which is incorrect.
>
> Not that I'm maintaining those dictionaries, but why is it incorrect,
> in your opinion?  It clearly produces the desirable effect, doesn't it?
>

=E2=80=8BNo, it produces the undesirable effect of treating "etc" as a corr=
ect
spelling.=E2=80=8B

Does this mean that your problem is solved, and we can close this bug?
> Or does something still need to be fixed in Emacs?
>

=E2=80=8BSorry, I must have been unclear. I still have the original problem=
:
without the workaround of adding incorrect spellings to my personal
wordlist, "i.e." and "e.g." are marked as wrong in en_GB. I just double
checked this with the following recipe:

1. Rename my ~/.hunspell_en_GB.

2. Start "emacs -Q"

3. M-x flyspell-mode RET

4. M-x customize-variable RET ispell-program-name RET; set to
"/usr/bin/hunspell" (doing this after step 3 because the variable is not
available for customization before loading ispell)

5. Type "etc. i.e. e.g."

All of the above is now red-underwiggled.

--=20
http://rrt.sc3d.org

--90e6ba6e815a26d69d0517d62213
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On 6=
 June 2015 at 07:49, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:=
eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">&gt; Date: Fri, 5 Jun 2015 22:42:39 +0100<br>
&gt; From: Reuben Thomas &lt;<a href=3D"mailto:rrt@HIDDEN">rrt@HIDDEN</=
a>&gt;<br>
&gt; Cc: <a href=3D"mailto:20741 <at> debbugs.gnu.org">20741 <at> debbugs.gnu.org</a>=
<br>
<span class=3D"">&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0&gt; flyspell marks as incorrect =E2=80=9Cetc.=E2=
=80=9D, =E2=80=9Ci.e.=E2=80=9D, =E2=80=9Ce.g.=E2=80=9D &amp;c.<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0I can reproduce part of this with en_GB, but not wi=
th en_US. So I<br>
&gt;=C2=A0 =C2=A0 =C2=A0think it&#39;s an issue with the dictionary, not wi=
th flyspell or ispell.<br>
&gt;<br>
&gt; The en_US dictionary contains &quot;etc&quot;, which is incorrect.<br>
<br>
</span>Not that I&#39;m maintaining those dictionaries, but why is it incor=
rect,<br>
in your opinion?=C2=A0 It clearly produces the desirable effect, doesn&#39;=
t it?<br></blockquote><div><br><div class=3D"gmail_default" style=3D"font-s=
ize:small">=E2=80=8BNo, it produces the undesirable effect of treating &quo=
t;etc&quot; as a correct spelling.=E2=80=8B</div><br></div><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;pad=
ding-left:1ex">
Does this mean that your problem is solved, and we can close this bug?<br>
Or does something still need to be fixed in Emacs?<br>
</blockquote></div><br><div class=3D"gmail_default" style=3D"font-size:smal=
l">=E2=80=8BSorry, I must have been unclear. I still have the original prob=
lem: without the workaround of adding incorrect spellings to my personal wo=
rdlist, &quot;i.e.&quot; and &quot;e.g.&quot; are marked as wrong in en_GB.=
 I just double checked this with the following recipe:<br><br></div><div cl=
ass=3D"gmail_default" style=3D"font-size:small">1. Rename my ~/.hunspell_en=
_GB.<br><br></div><div class=3D"gmail_default" style=3D"font-size:small">2.=
 Start &quot;emacs -Q&quot;<br><br></div><div class=3D"gmail_default" style=
=3D"font-size:small">3. M-x flyspell-mode RET<br><br></div><div class=3D"gm=
ail_default" style=3D"font-size:small">4. M-x customize-variable RET ispell=
-program-name RET; set to &quot;/usr/bin/hunspell&quot; (doing this after s=
tep 3 because the variable is not available for customization before loadin=
g ispell)<br><br></div><div class=3D"gmail_default" style=3D"font-size:smal=
l">5. Type &quot;etc. i.e. e.g.&quot;<br><br></div><div class=3D"gmail_defa=
ult" style=3D"font-size:small">All of the above is now red-underwiggled.<br=
 clear=3D"all"></div><br>-- <br><div class=3D"gmail_signature"><a href=3D"h=
ttp://rrt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</a></div>
</div></div>

--90e6ba6e815a26d69d0517d62213--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 6 Jun 2015 06:49:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 06 02:49:56 2015
Received: from localhost ([127.0.0.1]:42385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z17vX-0003mV-VU
	for submit <at> debbugs.gnu.org; Sat, 06 Jun 2015 02:49:56 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:55394)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Z17vV-0003mF-0z
 for 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 02:49:54 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NPI00J00G8RYX00@HIDDEN> for
 20741 <at> debbugs.gnu.org; Sat, 06 Jun 2015 09:51:50 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NPI00F70GEEJ250@HIDDEN>; Sat, 06 Jun 2015 09:51:50 +0300 (IDT)
Date: Sat, 06 Jun 2015 09:49:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20741: 24.4;
 flyspell doesn't work with abbreviations ending in a period
In-reply-to: <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Reuben Thomas <rrt@HIDDEN>
Message-id: <83iob1nxfb.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87pp5az1u7.fsf@HIDDEN> <83twumnem2.fsf@HIDDEN>
 <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 5 Jun 2015 22:42:39 +0100
> From: Reuben Thomas <rrt@HIDDEN>
> Cc: 20741 <at> debbugs.gnu.org
> 
>     > flyspell marks as incorrect “etc.”, “i.e.”, “e.g.” &c.
>     
>     I can reproduce part of this with en_GB, but not with en_US. So I
>     think it's an issue with the dictionary, not with flyspell or ispell.
> 
> The en_US dictionary contains "etc", which is incorrect.

Not that I'm maintaining those dictionaries, but why is it incorrect,
in your opinion?  It clearly produces the desirable effect, doesn't it?

> ​When I mention OTHERCHARS, I am looking at the documentation for
> ispell-dictionary-alist. Indeed, when I change language, and I am using
> hunspell, the language definitions seem to be auto-generated. With hunspell,
> OTHERCHARS is set to include ".".​ But indeed, removing it or moving it into
> CASECHARS and NOT-CASECHARS still seems not to help, so I'm back to my original
> workaround.
> 
> But indeed, apart from when I specifically mentioned customising the
> dictionary, I am working with Emacs's default values, not customised at all.
> 
> ​Thanks very much for your help with this.

You are welcome.

Does this mean that your problem is solved, and we can close this bug?
Or does something still need to be fixed in Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 5 Jun 2015 21:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 17:42:48 2015
Received: from localhost ([127.0.0.1]:42253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0zO3-0008A9-JL
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 17:42:48 -0400
Received: from mail-ig0-f170.google.com ([209.85.213.170]:33686)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z0zO1-00089w-Dy
 for 20741 <at> debbugs.gnu.org; Fri, 05 Jun 2015 17:42:46 -0400
Received: by igbpi8 with SMTP id pi8so24890871igb.0
 for <20741 <at> debbugs.gnu.org>; Fri, 05 Jun 2015 14:42:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=o7pr//TIMO+WhfBc+4RUwPAFdcQBib9Jx0odAco4J3U=;
 b=Iou/S8LBfyZOILMMJ3bNnZiqRNtKq/JS/w5d/4caKdXm1TltOEQpRidluVlQVRKQ0T
 zu3ADnhQkYflpK0B0xZLOgJqLy4XzpMwmstNenINYLzebyuG3eL5tgbPoUd239s2H+q1
 8Arf/9d7G9ogfPH072KcaOWlQlr8Y4A627LN4=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=o7pr//TIMO+WhfBc+4RUwPAFdcQBib9Jx0odAco4J3U=;
 b=UazEZ2pH9qEVoAalHNeu9Nyb4+laPgpel+TeYi4u0+gDO4m+mHBTOylPhXWJdLM516
 U8yt8EJoJgRvfPSmyvugVc5/ZrXbMSQGO/lrr2OkNvs/pHR++hrFIHAeV0QCMrQH77oA
 g8lqZhRtvN6MdZmkZr+4DYsHbImE5L7fQI3/qt5f5zenv4NrFmQ8SKf7zJUVD0+Qp/RW
 0z23XlrAsTZ0BVxv5JvJ5CEYhjqercwidxMbO/vBqp3vp25Puqh/xHz11RpOx8+wqzpD
 qBkSBa6iWa3qFdBU/q6rxxT7Kb+OpGJ/bHpiTYC3kRaJAKFJ28I5kFySbwVED2UKtUbj
 2VrQ==
X-Gm-Message-State: ALoCoQmu+WCoqxx1+t07xmaZ7muyRsjEvt0KSxxBnT2rt8qb44jAeGWN8gilR4DXbRgWMtavD6Tu
MIME-Version: 1.0
X-Received: by 10.42.213.136 with SMTP id gw8mr12621438icb.95.1433540559722;
 Fri, 05 Jun 2015 14:42:39 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Fri, 5 Jun 2015 14:42:39 -0700 (PDT)
In-Reply-To: <83twumnem2.fsf@HIDDEN>
References: <87pp5az1u7.fsf@HIDDEN>
	<83twumnem2.fsf@HIDDEN>
Date: Fri, 5 Jun 2015 22:42:39 +0100
Message-ID: <CAOnWdoiT=vQ2YoW_5v7U0Ax8vdvDm_kd2mVbavTdKcsCr6MCFQ@HIDDEN>
Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending
 in a period
From: Reuben Thomas <rrt@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c31700d5786a0517cc2b2d
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c31700d5786a0517cc2b2d
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 5 June 2015 at 20:23, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Reuben Thomas <rrt@HIDDEN>
> > Date: Fri, 05 Jun 2015 15:06:40 +0100
> >
> > flyspell marks as incorrect =E2=80=9Cetc.=E2=80=9D, =E2=80=9Ci.e.=E2=80=
=9D, =E2=80=9Ce.g.=E2=80=9D &c.
>
> I can reproduce part of this with en_GB, but not with en_US.  So I
> think it's an issue with the dictionary, not with flyspell or ispell.
>

The en_US dictionary contains "etc", which is incorrect.

What OTHERCHARS are you looking at?  In Emacs 24.4 and later,
> ispell.el takes that value from the dictionary's .aff file, not from
> the internal database.  So if you customized ispell-dictionary-alist,
> try without those customizations, you shouldn't need them in v24.4.
>

=E2=80=8BOh dear, after =E2=80=8Bfurther investigation this turns out to be=
 because Debian
overrides ispell.el and flyspell.el with its own patched versions, which
predate Emacs 24.4 (they are from 2013).

In what follows, I have moved these patched files aside, and am definitely
working with just Emacs 24.4's versions!

Now, still using hunspell, and having removed "i.e", "e.g" and "etc" from
my en_GB spelling list, I get exactly the same highlighting.


> > ispell sets my default dictionary to en_GB (from my locale, I presume),
>
> Yes.  But you can override that, if you want.
>

=E2=80=8BI don't want to override it, it's fine.

=E2=80=8BWhen I mention OTHERCHARS, I am looking at the documentation for
ispell-dictionary-alist. Indeed, when I change language, and I am using
hunspell, the language definitions seem to be auto-generated. With
hunspell, OTHERCHARS is set to include ".".=E2=80=8B But indeed, removing i=
t or
moving it into CASECHARS and NOT-CASECHARS still seems not to help, so I'm
back to my original workaround.

But indeed, apart from when I specifically mentioned customising the
dictionary, I am working with Emacs's default values, not customised at all=
.

=E2=80=8BThanks very much for your help with this.

--=20
http://rrt.sc3d.org

--001a11c31700d5786a0517cc2b2d
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">On 5=
 June 2015 at 20:23, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:=
eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">&gt; From: Reuben Thomas &lt;<=
a href=3D"mailto:rrt@HIDDEN" target=3D"_blank">rrt@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 05 Jun 2015 15:06:40 +0100<br>
&gt;<br>
&gt; flyspell marks as incorrect =E2=80=9Cetc.=E2=80=9D, =E2=80=9Ci.e.=E2=
=80=9D, =E2=80=9Ce.g.=E2=80=9D &amp;c.<br>
<br>
I can reproduce part of this with en_GB, but not with en_US.=C2=A0 So I<br>
think it&#39;s an issue with the dictionary, not with flyspell or ispell.<b=
r></blockquote><div><br><div class=3D"gmail_default" style=3D"font-size:sma=
ll">The en_US dictionary contains &quot;etc&quot;, which is incorrect.<br><=
/div><br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0p=
x 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
What OTHERCHARS are you looking at?=C2=A0 In Emacs 24.4 and later,<br>
ispell.el takes that value from the dictionary&#39;s .aff file, not from<br=
>
the internal database.=C2=A0 So if you customized ispell-dictionary-alist,<=
br>
try without those customizations, you shouldn&#39;t need them in v24.4.<br>=
</blockquote><div><br><div class=3D"gmail_default" style=3D"font-size:small=
">=E2=80=8BOh dear, after =E2=80=8Bfurther investigation this turns out to =
be because Debian overrides ispell.el and flyspell.el with its own patched =
versions, which predate Emacs 24.4 (they are from 2013).<br><br></div><div =
class=3D"gmail_default" style=3D"font-size:small">In what follows, I have m=
oved these patched files aside, and am definitely working with just Emacs 2=
4.4&#39;s versions!<br><br></div><div class=3D"gmail_default" style=3D"font=
-size:small">Now, still using hunspell, and having removed &quot;i.e&quot;,=
 &quot;e.g&quot; and &quot;etc&quot; from my en_GB spelling list, I get exa=
ctly the same highlighting.<br></div>=C2=A0</div><blockquote class=3D"gmail=
_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204=
,204);padding-left:1ex">

&gt; ispell sets my default dictionary to en_GB (from my locale, I presume)=
,<br>
<br>
Yes.=C2=A0 But you can override that, if you want.<br></blockquote><div><br=
><div class=3D"gmail_default" style=3D"font-size:small">=E2=80=8BI don&#39;=
t want to override it, it&#39;s fine.</div></div></div><br><div class=3D"gm=
ail_default" style=3D"font-size:small">=E2=80=8BWhen I mention OTHERCHARS, =
I am looking at the documentation for ispell-dictionary-alist. Indeed, when=
 I change language, and I am using hunspell, the language definitions seem =
to be auto-generated. With hunspell, OTHERCHARS is set to include &quot;.&q=
uot;.=E2=80=8B But indeed, removing it or moving it into CASECHARS and NOT-=
CASECHARS still seems not to help, so I&#39;m back to my original workaroun=
d.<br><br></div><div class=3D"gmail_default" style=3D"font-size:small">But =
indeed, apart from when I specifically mentioned customising the dictionary=
, I am working with Emacs&#39;s default values, not customised at all.<br><=
/div><br><div class=3D"gmail_default" style=3D"font-size:small">=E2=80=8BTh=
anks very much for your help with this.<br></div><br>-- <br><div><a href=3D=
"http://rrt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</a></div>
</div></div>

--001a11c31700d5786a0517cc2b2d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 5 Jun 2015 19:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 15:24:02 2015
Received: from localhost ([127.0.0.1]:42092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0xDm-0004nP-6Z
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 15:24:02 -0400
Received: from mtaout27.012.net.il ([80.179.55.183]:55943)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Z0xDj-0004mz-3h
 for 20741 <at> debbugs.gnu.org; Fri, 05 Jun 2015 15:24:00 -0400
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0NPH00800J56CP00@HIDDEN> for
 20741 <at> debbugs.gnu.org; Fri, 05 Jun 2015 22:19:02 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NPH00B5WKBQCW20@HIDDEN>; Fri, 05 Jun 2015 22:19:02 +0300 (IDT)
Date: Fri, 05 Jun 2015 22:23:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20741: 24.4;
 flyspell doesn't work with abbreviations ending in a period
In-reply-to: <87pp5az1u7.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Reuben Thomas <rrt@HIDDEN>
Message-id: <83twumnem2.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87pp5az1u7.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20741
Cc: 20741 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Reuben Thomas <rrt@HIDDEN>
> Date: Fri, 05 Jun 2015 15:06:40 +0100
> 
> flyspell marks as incorrect “etc.”, “i.e.”, “e.g.” &c.

I can reproduce part of this with en_GB, but not with en_US.  So I
think it's an issue with the dictionary, not with flyspell or ispell.

> flyspell is of course behaving as expected: “.” is in OTHERCHARS, and as
> it comes after the word, it is not included.

What OTHERCHARS are you looking at?  In Emacs 24.4 and later,
ispell.el takes that value from the dictionary's .aff file, not from
the internal database.  So if you customized ispell-dictionary-alist,
try without those customizations, you shouldn't need them in v24.4.

> ispell sets my default dictionary to en_GB (from my locale, I presume),

Yes.  But you can override that, if you want.

> I tried to move “.” to CASECHARS and NOT-CASECHARS in a custom
> dictionary definition:
> 
> ("en_GB" "[[:alpha:].]" "[^[:alpha:].]" "['0-9’-]" t
>   ("-d" "en_GB")
>   nil utf-8)

You shouldn't need all that in Emacs 24.4.  Try not to customize the
dictionary at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at 20741 <at> debbugs.gnu.org:


Received: (at 20741) by debbugs.gnu.org; 5 Jun 2015 14:08:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 10:08:40 2015
Received: from localhost ([127.0.0.1]:41855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0sIa-0004K3-3B
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:08:40 -0400
Received: from mail-ie0-f169.google.com ([209.85.223.169]:36726)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z0sIY-0004Jr-N2
 for 20741 <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:08:39 -0400
Received: by ieclw1 with SMTP id lw1so58728392iec.3
 for <20741 <at> debbugs.gnu.org>; Fri, 05 Jun 2015 07:08:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=lvUj9W0LXJoa+Yy3FG72EHP9t8NYD+v6U/rLpA4oZL8=;
 b=V9zArdS64T3iPhzD0lhheu1KWtkD6su0g6hdm0ZSmDp10Uu3gVrq3oj47VfS98ZKlQ
 erbckP5dYuXEeIZJvOH0C4hyXJFF291lPbARIHPhPnTxwqnqlRoCh7bH7XViyD5QlxFC
 XiImU5Iogw7bHY6T0laJzsCbfRlyxcVhJMV38=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=lvUj9W0LXJoa+Yy3FG72EHP9t8NYD+v6U/rLpA4oZL8=;
 b=YJuRQqCxFfFVCiSjill9bXu/a0X5t7p+8ikdh79umo91ZfW84tX1jUBXx1hQdmShxF
 BRROpf38hxZZ359OXAnBRTIKq5FNzbyYQGDFexSPu08V66Uu2Wmcpy7KndxW0yC6Muj5
 YCa2fUi3jG2yuUxc/oGQzfytEgYsuFCdvxIpJrHpGdJ4ywl7MlMrWs10p3o3YNyvjotO
 K6iWt7ixBI8PYniA/TTWzGZlDUoUl0QkN+c/od8LUqnqiLwWv/zgTg4KFXoq5lkjjrp3
 r/nm2lHlJaTRbApoH4/WqpzP5IbUsdjNUKLTSd0quI2OYkfqbhktbiXlOcVLQ/DEbf4i
 Y91g==
X-Gm-Message-State: ALoCoQn94bA8W+ireByqR0OkdXV5jqWPFpXc7CUhHGwnWsaG4bkAY/m04py25ltIAf5Co3dKjGoX
MIME-Version: 1.0
X-Received: by 10.50.61.234 with SMTP id t10mr41417611igr.19.1433513312902;
 Fri, 05 Jun 2015 07:08:32 -0700 (PDT)
Received: by 10.36.118.19 with HTTP; Fri, 5 Jun 2015 07:08:32 -0700 (PDT)
Date: Fri, 5 Jun 2015 15:08:32 +0100
Message-ID: <CAOnWdogmgaYm9m9X0x9n6f8y+rqPSGomr5Cs_1GMkqjJbckeLA@HIDDEN>
Subject: Workaround
From: Reuben Thomas <rrt@HIDDEN>
To: 20741 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=047d7bdc07e2cbf8570517c5d381
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20741
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7bdc07e2cbf8570517c5d381
Content-Type: text/plain; charset=UTF-8

As a workaround, I've added "i.e", "e.g" and "etc" to my personal word list.

-- 
http://rrt.sc3d.org

--047d7bdc07e2cbf8570517c5d381
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:small">As =
a workaround, I&#39;ve added &quot;i.e&quot;, &quot;e.g&quot; and &quot;etc=
&quot; to my personal word list.<br clear=3D"all"></div><br>-- <br><div cla=
ss=3D"gmail_signature"><a href=3D"http://rrt.sc3d.org" target=3D"_blank">ht=
tp://rrt.sc3d.org</a></div>
</div>

--047d7bdc07e2cbf8570517c5d381--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2015 14:07:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 10:07:06 2015
Received: from localhost ([127.0.0.1]:41846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0sH3-0004H5-6w
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:07:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56443)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1Z0sGz-0004GX-0l
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:07:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1Z0sGo-0003hD-Ay
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:06:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51403)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
 id 1Z0sGo-0003h9-7P
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 10:06:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41706)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1Z0sGm-0001yt-3h
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 10:06:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1Z0sGi-0003fl-Na
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 10:06:48 -0400
Received: from mail-wg0-x22c.google.com ([2a00:1450:400c:c00::22c]:35227)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
 id 1Z0sGi-0003fK-4M
 for bug-gnu-emacs@HIDDEN; Fri, 05 Jun 2015 10:06:44 -0400
Received: by wgme6 with SMTP id e6so57729432wgm.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Jun 2015 07:06:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=from:to:subject:date:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=cYU7ot4OyIxcqP5FbrGjVq/fb3bV/ZNC1LwfQBxfB7o=;
 b=3hbGPnlfyO4C+Qq0QTMXM5JS5RcT/fQswvScB+30V/7ZTaYNULyiEEKgxJtdSVLWF+
 5GO8lL9ZI6zt/NnYCEFoJQVrgKQ9QESJpp7F9lf9hzWON82adbfGMnOESOsTYNQevoli
 PR4VZTybYm3coHF9EFGZTCF6OtVs2psUOcrM8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-type:content-transfer-encoding;
 bh=cYU7ot4OyIxcqP5FbrGjVq/fb3bV/ZNC1LwfQBxfB7o=;
 b=BNRbH51Iz9betn3lBwXLTsjNETf/M9eQqiWtUHviLlSUZlu3hN6gaGWKgrpjbJQ55Q
 1+X3bPL4JAXTVaZuXN/6Rto6RAumT7tu1iU/NlppVnmpyOKMrFVvQ8wrJ56EcPXJm5Jt
 Hj670X4gU/PRY5WqQYejEQFwPN6PJT2w3Deopw01yaKF26k6yirSBzW9jg7pUYz0sKjI
 3p4S71J6LxEELg5iARp7JFVXoVigLwf79OaV/z734i3K0OGE1jqKQDZs3PXewIF2fcdE
 soMn6aMZ+AQq6EfS7L2lzsp1zxRP0knLNn01a5DPlSiqzI8DEm9tGN4K3wDDa3CRGwm1
 XUeg==
X-Gm-Message-State: ALoCoQmf0BCkCMeMKnf59Wx2sDCdcM0BIGn7lJb46PzVhZO74qNXQcFhOdI8xzJDd4LzmEUxz9mj
X-Received: by 10.180.78.136 with SMTP id b8mr61516584wix.44.1433513202764;
 Fri, 05 Jun 2015 07:06:42 -0700 (PDT)
Received: from skwd ([2.216.216.26])
 by mx.google.com with ESMTPSA id v3sm3591118wiz.14.2015.06.05.07.06.41
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 05 Jun 2015 07:06:41 -0700 (PDT)
From: Reuben Thomas <rrt@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4; flyspell doesn't work with abbreviations ending in a period
Date: Fri, 05 Jun 2015 15:06:40 +0100
Message-ID: <87pp5az1u7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


flyspell marks as incorrect =E2=80=9Cetc.=E2=80=9D, =E2=80=9Ci.e.=E2=80=9D,=
 =E2=80=9Ce.g.=E2=80=9D &c.

flyspell is of course behaving as expected: =E2=80=9C.=E2=80=9D is in OTHER=
CHARS, and as
it comes after the word, it is not included.

ispell sets my default dictionary to en_GB (from my locale, I presume),
and I=E2=80=99m using hunspell.

If I run ispell-buffer on a buffer containing the above words, they
pass, which is surprising in that it seems that the OTHERCHARS
specification has not been applied in this case. It is not surprising in
the sense that these definitions are in my dictionary.

The somewhat nonsensical result is that if I run ispell-word on such a
word marked incorrect by flyspell, the first correction offered is the
word I already have, plus a period. If I select it, the net effect is
that an extra period is inserted, and flyspell complains again.

I tried to move =E2=80=9C.=E2=80=9D to CASECHARS and NOT-CASECHARS in a cus=
tom
dictionary definition:

("en_GB" "[[:alpha:].]" "[^[:alpha:].]" "['0-9=E2=80=99-]" t
  ("-d" "en_GB")
  nil utf-8)

but this causes flyspell to give an error saying it got nil where it
expected a stringp in its post-command-hook. In any case, I guess this
would not do what I wanted without adding an inflexion rule to the
dictionary that allowed any word to add =E2=80=9C.=E2=80=9D (except, ideall=
y, a word
that already ends in a period).



In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
 of 2014-11-21 on skwd, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.2 LTS

Configured using:
 `configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-li=
sp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-li=
sp:/usr/share/emacs/site-lisp
 --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars
 'CFLAGS=3D-g -O2 -fstack-protector --param=3Dssp-buffer-size=3D4 -Wformat
 -Werror=3Dformat-security -Wall' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro''

Important settings:
  value of $LC_MONETARY: en_GB.UTF-8
  value of $LC_NUMERIC: en_GB.UTF-8
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=3Dlocal
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  paredit-mode: t
  show-paren-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  icomplete-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  bug-reference-prog-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-whitespace-mode: t
  ido-everywhere: t
  dtrt-indent-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  eldoc-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: (only . t)

Recent input:
<switch-frame> C-x b A g <tab> <return> C-n C-n C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-f C-f C-f C-f C-f C-f C-f=20
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f=20
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f=20
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f=20
C-f C-f C-f C-f C-f C-f C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-p C-p C-p C-p C-p C-p C-p=20
C-p C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b=20
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-p=20
C-b C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f=20
C-x b * N <backspace> M e s s <tab> <return> C-r f=20
g g l C-a C-x b <return> C-x b c u s t <tab> <return>=20
C-a <switch-frame> <switch-frame> <switch-frame> <help-echo>=20
<switch-frame> <down-mouse-1> <mouse-movement> <mouse-movement>=20
<drag-mouse-1> M-x r e p o r t - e m a c s - b u g=20
<return>

Recent messages:
Applying style hooks... done
Applying style hooks... done
Applying style hooks... done
Applying style hooks... done
Wrote /home/rrt/.emacs.desktop.lock
Desktop: 4 frames, 16 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.
call-interactively: End of buffer [18 times]
Mark saved where search started
Mark set

Load-path shadows:
/home/rrt/.emacs.d/el-get/xrdb-mode/xrdb-mode hides /usr/share/emacs24/site=
-lisp/emacs-goodies-el/xrdb-mode
/home/rrt/.emacs.d/el-get/csv-mode/csv-mode hides /usr/share/emacs24/site-l=
isp/emacs-goodies-el/csv-mode
/home/rrt/.emacs.d/el-get/quack/quack hides /usr/share/emacs24/site-lisp/em=
acs-goodies-el/quack
/home/rrt/.emacs.d/el-get/markdown-mode/markdown-mode hides /usr/share/emac=
s24/site-lisp/emacs-goodies-el/markdown-mode
/home/rrt/.emacs.d/el-get/filladapt/filladapt hides /usr/share/emacs24/site=
-lisp/emacs-goodies-el/filladapt
/home/rrt/.emacs.d/el-get/graphviz-dot-mode/graphviz-dot-mode hides /usr/sh=
are/emacs24/site-lisp/emacs-goodies-el/graphviz-dot-mode
/home/rrt/.emacs.d/el-get/browse-kill-ring/browse-kill-ring hides /usr/shar=
e/emacs24/site-lisp/emacs-goodies-el/browse-kill-ring
/home/rrt/.emacs.d/el-get/apache-mode/apache-mode hides /usr/share/emacs24/=
site-lisp/emacs-goodies-el/apache-mode
/usr/share/emacs/24.4/site-lisp/debian-startup hides /usr/share/emacs/site-=
lisp/debian-startup
/home/rrt/.local/share/emacs/site-lisp/lilypond-mode hides /usr/share/emacs=
/site-lisp/lilypond-mode
/home/rrt/.local/share/emacs/site-lisp/lilypond-what-beat hides /usr/share/=
emacs/site-lisp/lilypond-what-beat
/usr/share/emacs/24.4/site-lisp/cdargs hides /usr/share/emacs/site-lisp/cda=
rgs
/home/rrt/.emacs.d/el-get/cmake-mode/cmake-mode hides /usr/share/emacs/site=
-lisp/cmake-mode
/home/rrt/.local/share/emacs/site-lisp/lilypond-init hides /usr/share/emacs=
/site-lisp/lilypond-init
/home/rrt/.local/share/emacs/site-lisp/lilypond-song hides /usr/share/emacs=
/site-lisp/lilypond-song
/home/rrt/.local/share/emacs/site-lisp/lilypond-indent hides /usr/share/ema=
cs/site-lisp/lilypond-indent
/home/rrt/.local/share/emacs/site-lisp/lilypond-font-lock hides /usr/share/=
emacs/site-lisp/lilypond-font-lock
/home/rrt/.local/share/emacs/site-lisp/whitespace hides /usr/share/emacs/24=
.4/lisp/whitespace
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/em=
acs/24.4/lisp/textmodes/ispell
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.4/lisp/textmodes/r=
st
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/=
emacs/24.4/lisp/textmodes/flyspell
/home/rrt/.emacs.d/el-get/flymake/flymake hides /usr/share/emacs/24.4/lisp/=
progmodes/flymake
/home/rrt/.emacs.d/el-get/cperl-mode/cperl-mode hides /usr/share/emacs/24.4=
/lisp/progmodes/cperl-mode

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader sendmail mail-utils
misearch multi-isearch mule-util plain-tex gitignore-mode conf-mode
latexenc preview prv-emacs tex-buf font-latex latex tex-style tex dbus
xml crm tex-mode shell yaml-mode tern url-http tls url-auth mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums url-gw json js3-mode imenu js3-parse
js3-browse js3-highlight js3-ast js3-messages js3-scan js3-util js3-vars
cc-langs js3-externs adaptive-wrap window-margin face-remap flyspell
ispell goto-addr smart-quotes org-element org-indent org-rmail org-mhe
org-irc org-info org-gnus org-docview doc-view jka-compr image-mode
org-bibtex bibtex org-bbdb org-w3m flymake compile paredit info tex-site
sws-mode-autoloads server paren savehist minibuf-eldef icomplete
autorevert filenotify desktop frameset cus-start cus-load iimage org
org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities noutline outline org-version ob-emacs-lisp ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint comint
ansi-color ob-core ob-eval org-compat org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs go-mode url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap ffap thingatpt url-parse auth-source gnus-util mm-util
mail-prsvr password-cache url-vars dired-x bug-reference-github
bug-reference vc-git undo-tree diff whitespace locate yasnippet derived
po-mode php-mode etags ring cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs speedbar sb-image ezimage
dframe init-paredit ido-hacks ido magit-autoloads geiser-load geiser
flymake-point filladapt dtrt-indent csv auto-complete-config
auto-complete edmacro kmacro popup init-eldoc eldoc-extension cl-macs
advice eldoc .loaddefs eieio byte-opt eieio-core el-get
el-get-autoloading el-get-list-packages el-get-dependencies el-get-build
el-get-status pp el-get-methods el-get-fossil el-get-svn el-get-pacman
el-get-github-zip el-get-github-tar el-get-http-zip el-get-http-tar
el-get-hg el-get-go el-get-git-svn el-get-fink el-get-emacswiki
el-get-http el-get-notify help-mode easymenu el-get-emacsmirror
el-get-github el-get-git el-get-elpa package epg-config el-get-darcs
el-get-cvs el-get-bzr el-get-brew el-get-builtin el-get-apt-get
el-get-recipes el-get-byte-compile el-get-custom el-get-core autoload
help-fns lisp-mnt bytecomp byte-compile cconv cl gv cl-loaddefs cl-lib
dired user-site-loaddefs debian-el debian-el-loaddefs emacs-goodies-el
emacs-goodies-custom emacs-goodies-loaddefs easy-mmode dpkg-dev-el
dpkg-dev-el-loaddefs devhelp time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 603598 45229)
 (symbols 48 50761 0)
 (miscs 40 267 443)
 (strings 32 171824 23445)
 (string-bytes 1 5482137)
 (vectors 16 49781)
 (vector-slots 8 1578059 70586)
 (floats 8 291 310)
 (intervals 56 3314 78)
 (buffers 960 28)
 (heap 1024 62706 2723))

--=20
http://rrt.sc3d.org/




Acknowledgement sent to Reuben Thomas <rrt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20741; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.